GWT 2.7.0

## com.google.gwt.user.client.rpc
Interface SerializationStreamWriter

    public interface SerializationStreamWriter

An interface for writing values into a stream.

Method Summary
`java.lang.String` | `toString()` Serializes the contents of this stream into a string.
`void` | `writeBoolean(boolean value)`
`void` | `writeByte(byte value)`
`void` | `writeChar(char value)`
`void` | `writeDouble(double value)`
`void` | `writeFloat(float value)`
`void` | `writeInt(int value)`
`void` | `writeLong(long value)`
`void` | `writeObject(java.lang.Object value)`
`void` | `writeShort(short value)`
`void` | `writeString(java.lang.String value)`

Method Detail

### toString

    java.lang.String toString()

  Serializes the contents of this stream into a string.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string that is the serialization of the contents of this stream

### writeBoolean

    void writeBoolean(boolean value)
                      throws SerializationException

  Throws:
    `SerializationException`

### writeByte

    void writeByte(byte value)
                   throws SerializationException

  Throws:
    `SerializationException`

### writeChar

    void writeChar(char value)
                   throws SerializationException

  Throws:
    `SerializationException`

### writeDouble

    void writeDouble(double value)
                     throws SerializationException

  Throws:
    `SerializationException`

### writeFloat

    void writeFloat(float value)
                    throws SerializationException

  Throws:
    `SerializationException`

### writeInt

    void writeInt(int value)
                  throws SerializationException

  Throws:
    `SerializationException`

### writeLong

    void writeLong(long value)
                   throws SerializationException

  Throws:
    `SerializationException`

### writeObject

    void writeObject(java.lang.Object value)
                     throws SerializationException

  Throws:
    `SerializationException`

### writeShort

    void writeShort(short value)
                    throws SerializationException

  Throws:
    `SerializationException`

### writeString

    void writeString(java.lang.String value)
                     throws SerializationException

  Throws:
    `SerializationException`

GWT 2.7.0